package collector

import (
	"context"

	"github.com/prometheus/client_golang/prometheus"
)

type Collector interface {
	Collect() interface{}
	PromCollector() prometheus.Collector
	Run(ctx context.Context)
}
